> ## Documentation Index
> Fetch the complete documentation index at: https://docs.procuros.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List All Transactions

> List all existing transactions to and from your trade partners.



## OpenAPI

````yaml /en/api/v2/openapi-v2.yaml get /v2/all-transactions
openapi: 3.0.3
info:
  title: Procuros API
  description: Manage Procuros Transactions.
  version: 2.0.0
servers:
  - url: https://api.procuros.io/
  - url: https://api.procuros-staging.io/
security:
  - api_token: []
paths:
  /v2/all-transactions:
    get:
      tags:
        - All Transactions
      summary: List All Transactions
      description: List all existing transactions to and from your trade partners.
      operationId: v2_list_all_transactions
      parameters:
        - name: filter[type]
          in: query
          required: false
          allowReserved: true
          schema:
            $ref: '#/components/schemas/TransactionType'
        - name: filter[flow]
          in: query
          required: false
          allowReserved: true
          schema:
            $ref: '#/components/schemas/TransactionFlow'
        - name: filter[status]
          in: query
          required: false
          allowReserved: true
          schema:
            $ref: '#/components/schemas/TransactionStatus'
        - name: filter[created_between]
          in: query
          required: false
          allowReserved: true
          schema:
            type: string
            description: >-
              Filter transactions created between two dates. Format:
              YYYY-MM-DD,YYYY-MM-DD
            example: 2024-01-01,2024-01-31
        - name: cursor
          in: query
          description: Page cursor
          required: false
          schema:
            type: string
        - name: per_page
          in: query
          description: Number of transactions returned per page.
          required: false
          schema:
            type: integer
            default: 100
            minimum: 1
            maximum: 100
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                required:
                  - items
                  - hasMore
                  - perPage
                  - count
                  - nextCursor
                  - nextPageUrl
                properties:
                  items:
                    type: array
                    items:
                      $ref: '#/components/schemas/Transaction'
                  hasMore:
                    type: boolean
                    description: >-
                      Whether or not more transactions can be fetched on the
                      next page.
                  perPage:
                    type: integer
                    description: Amount of transactions returned per page.
                  count:
                    type: integer
                    description: Amount of transactions on the current page.
                  nextCursor:
                    type: string
                    nullable: true
                    description: >-
                      Supplied to the `cursor` query parameter. See [Pagination]
                      for more info.
                  nextPageUrl:
                    type: string
                    format: url
                    nullable: true
                    description: Prebuilt URL to retrieve the next page of transactions.
              examples:
                List of transactions:
                  value:
                    hasMore: false
                    perPage: 100
                    count: 3
                    nextCursor: null
                    nextPageUrl: null
                    items:
                      - procurosTransactionId: 949b2f25-fd9d-4c58-8899-b4dc277f8cf9
                        type: ORDER
                        flow: LIVE
                        status: SUCCESS
                        createdAt: '2024-01-01T00:00:00+00:00'
                        replacesProcurosTransactionId: null
                        replacedByProcurosTransactionId: null
                        isLatestVersion: true
                        content:
                          header:
                            buyer:
                              name: ACME Co. Ltd.
                              identifiers:
                                - identifier: '1100001016310'
                                  domain: GS1
                              postalAddress:
                                name: ACME Co. Ltd.
                                street: Elroy-Fritsch-Ring 15
                                city: Berlin
                                countryCode: DE
                                postalCode: '82643'
                              contacts:
                                - firstName: John
                                  lastName: Doe
                                  email: jane.doe@example.com
                                  fax: (818) 463-6124
                                  phone: +1.352.856.0626
                            supplier:
                              name: Testsupplier
                              identifiers:
                                - identifier: '1100001016312'
                                  domain: GS1
                            shipTo:
                              identifiers:
                                - identifier: '1100001016313'
                                  domain: GS1
                            billTo:
                              identifiers:
                                - identifier: '1100001016314'
                                  domain: GS1
                            orderIdentifier: PO9383-R45
                            orderDate: '2021-09-30'
                            currency: EUR
                            requestedDeliveryDate: '2021-10-05'
                            comments: Something to comment
                          items:
                            - lineNumber: 1
                              identifiers:
                                - identifier: '4300348765432'
                                  domain: GS1
                                - identifier: PROD-77-LS
                                  domain: BUYER
                                - identifier: sp_gr_8
                                  domain: SUPPLIER
                              isDepositItem: false
                              quantity: 20
                              unitOfMeasure: EA
                              description: First product description.
                              unitPrice: 0.15
                            - lineNumber: 2
                              identifiers:
                                - identifier: '4300348765433'
                                  domain: GS1
                                - identifier: PROD-78-LS
                                  domain: BUYER
                                - identifier: sp_gr_9
                                  domain: SUPPLIER
                              isDepositItem: false
                              quantity: 19
                              unitOfMeasure: EA
                              description: Sparkling Water - Crate (6x0.75l).
                              unitPrice: 1.5
                            - lineNumber: 3
                              identifiers:
                                - identifier: '4300348765434'
                                  domain: GS1
                                - identifier: PFAND-00B-LS
                                  domain: SUPPLIER
                              isDepositItem: true
                              quantity: 19
                              unitOfMeasure: EA
                              description: Deposit 1x crate + 6x bottles.
                              unitPrice: 3.3
                      - procurosTransactionId: 94fe13aa-8c9b-40e5-9937-42b852185858
                        type: SHIPPING_NOTICE
                        flow: LIVE
                        status: SUCCESS
                        createdAt: '2024-01-01T00:00:00+00:00'
                        replacesProcurosTransactionId: null
                        replacedByProcurosTransactionId: null
                        isLatestVersion: true
                        content:
                          header:
                            buyer:
                              name: ACME Co. Ltd.
                              identifiers:
                                - identifier: '1100001016310'
                                  domain: GS1
                              postalAddress:
                                city: Berlin
                                countryCode: DE
                                name: ACME Co. Ltd.
                                postalCode: '82643'
                                street: Elroy-Fritsch-Ring 15
                              contacts:
                                - firstName: Jane
                                  lastName: Doe
                                  email: jane.doe@example.com
                                  fax: (818) 463-6124
                                  phone: +1.352.856.0626
                            supplier:
                              name: Testsupplier
                              identifiers:
                                - identifier: '1100001016312'
                                  domain: GS1
                            shipTo:
                              identifiers:
                                - identifier: '1100001016313'
                                  domain: GS1
                            billTo:
                              identifiers:
                                - identifier: '1100001016314'
                                  domain: GS1
                            shippingNoticeIdentifier: SN9383-R45
                            shippingNoticeDate: '2021-11-24'
                            orderIdentifier: PO9383-R45
                            orderDate: '2021-11-20'
                            despatchDate: '2021-11-05'
                            requestedDeliveryDate: '2021-11-06'
                            expectedDeliveryDate: '2021-11-06'
                            carrier: Example Delivery Solution
                            trackingNumber: b52ea6a7-c2ea-3bfc-a63f-19140d3b3af5
                            trackingUrl: https://api.procuros.com/example
                            comments: Something to comment
                          transportUnits:
                            - items:
                                - lineNumber: 1
                                  orderLineNumber: 1
                                  identifiers:
                                    - identifier: '4300348765432'
                                      domain: GS1
                                    - identifier: PROD-77-LS
                                      domain: BUYER
                                    - identifier: sp_gr_8
                                      domain: SUPPLIER
                                  isDepositItem: false
                                  orderedQuantity: 20
                                  shippedQuantity: 20
                                  unitPrice: 200
                                  description: First product description.
                                - lineNumber: 2
                                  orderLineNumber: 2
                                  identifiers:
                                    - identifier: '4300348765433'
                                      domain: GS1
                                    - identifier: PROD-78-LS
                                      domain: BUYER
                                    - identifier: sp_gr_9
                                      domain: SUPPLIER
                                  isDepositItem: false
                                  orderedQuantity: 19
                                  shippedQuantity: 15
                                  openQuantityAction: DISCARDED
                                  unitPrice: 1.5
                                  description: Second product description.
                      - procurosTransactionId: 94fe1224-ae01-4587-8155-8e852cbbe75d
                        type: INVOICE
                        flow: LIVE
                        status: SUCCESS
                        createdAt: '2024-01-01T00:00:00+00:00'
                        replacesProcurosTransactionId: null
                        replacedByProcurosTransactionId: null
                        isLatestVersion: true
                        content:
                          header:
                            buyer:
                              name: ACME Co. Ltd.
                              identifiers:
                                - identifier: '4522704465331'
                                  domain: GS1
                                - identifier: DE123456789
                                  domain: VAT_DE
                              postalAddress:
                                city: Berlin
                                countryCode: DE
                                name: ACME Co. Ltd.
                                postalCode: '82643'
                                street: Elroy-Fritsch-Ring 15
                              contacts:
                                - firstName: Jane
                                  lastName: Doe
                                  email: jane.doe@example.com
                                  fax: (818) 463-6124
                                  phone: +1.352.856.0626
                            supplier:
                              name: Testsupplier
                              identifiers:
                                - identifier: '4231930775745'
                                  domain: GS1
                                - identifier: DE234567890
                                  domain: VAT_DE
                            shipTo:
                              identifiers:
                                - identifier: '1100001016313'
                                  domain: GS1
                            billTo:
                              identifiers:
                                - identifier: '1100001016314'
                                  domain: GS1
                            invoiceIdentifier: IV9383-R45
                            invoiceDate: '2021-11-11'
                            shippingNoticeIdentifier: SN9383-R45
                            shippingNoticeDate: '2021-11-04'
                            orderIdentifier: PO9383-R45
                            orderDate: '2021-11-10'
                            paymentTerms:
                              - payInNumberOfDays: 28
                                percentage: 3
                            comments: Something to comment
                          items:
                            - lineNumber: 1
                              identifiers:
                                - identifier: '4300348765432'
                                  domain: GS1
                                - identifier: PROD-77-LS
                                  domain: BUYER
                                - identifier: sp_gr_8
                                  domain: SUPPLIER
                              isDepositItem: false
                              quantity: 20
                              unitPrice: 200
                              description: First product description.
                              tax:
                                amount: 760
                                percentage: 19
                                description: Total tax amount.
                            - lineNumber: 2
                              identifiers:
                                - identifier: '4300348765433'
                                  domain: GS1
                                - identifier: PROD-78-LS
                                  domain: BUYER
                                - identifier: sp_gr_9
                                  domain: SUPPLIER
                              isDepositItem: false
                              quantity: 15
                              unitPrice: 1.5
                              description: Second product description.
                              tax:
                                amount: 26.775
                                percentage: 19
                                description: Total tax amount.
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GeneralValidationErrorResponse'
        4XX:
          description: Client Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InternalErrorResponse'
        5XX:
          description: Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InternalErrorResponse'
components:
  schemas:
    TransactionType:
      type: string
      description: Type of transaction.
      enum:
        - ORDER
        - ORDER_RESPONSE
        - SHIPPING_NOTICE
        - INVOICE
        - CREDIT_NOTE
        - DISPATCH_INSTRUCTION
        - DISPATCH_INSTRUCTION_RESPONSE
        - RECEIVAL_NOTICE
        - REMITTANCE_ADVICE
        - PRODUCT_CATALOG
        - INVENTORY_REPORT
        - SALES_REPORT
        - WORK_ORDER
        - STOCK_MOVEMENT
    TransactionFlow:
      type: string
      description: Flow (LIVE or TEST) of the transaction.
      enum:
        - LIVE
        - TEST
    TransactionStatus:
      type: string
      description: Current status of the transaction.
      enum:
        - PENDING
        - SUCCESS
        - FAILED
        - DROPPED
        - UNKNOWN
    Transaction:
      type: object
      required:
        - procurosTransactionId
        - status
        - flow
        - createdAt
        - type
        - content
        - isLatestVersion
      properties:
        procurosTransactionId:
          $ref: '#/components/schemas/ProcurosTransactionId'
        type:
          $ref: '#/components/schemas/TransactionType'
        status:
          $ref: '#/components/schemas/TransactionStatus'
        flow:
          $ref: '#/components/schemas/TransactionFlow'
        createdAt:
          $ref: '#/components/schemas/DateTime'
        replacesProcurosTransactionId:
          type: string
          format: uuid
          nullable: true
          description: >-
            ID of the transaction this one replaces (i.e. this is a newer
            version of that transaction).
          example: 949b2f25-fd9d-4c58-8899-b4dc277f8cf9
        replacedByProcurosTransactionId:
          type: string
          format: uuid
          nullable: true
          description: >-
            ID of the transaction that replaced this one (i.e. a newer version
            exists).
          example: null
        isLatestVersion:
          type: boolean
          description: >-
            Whether this is the latest version of the transaction. False when a
            newer version exists (see replacedByProcurosTransactionId).
          example: true
        content:
          $ref: '#/components/schemas/TransactionContent'
    GeneralValidationErrorResponse:
      type: object
      required:
        - message
        - errors
      properties:
        message:
          type: string
        errors:
          $ref: '#/components/schemas/ValidationError'
    InternalErrorResponse:
      type: object
      required:
        - message
      properties:
        message:
          type: string
    ProcurosTransactionId:
      type: string
      description: Unique ID assigned to every transaction on the Procuros Network.
      format: uuid
      example: 949b2f25-fd9d-4c58-8899-b4dc277f8cf9
    DateTime:
      type: string
      format: date-time
      pattern: \d{4}(.\d{2}){2}(\s|T)(\d{2}.){2}\d{2}(.\d{6}(Z?))?
      example: '2021-10-23T00:00:00.000000Z'
    TransactionContent:
      oneOf:
        - $ref: '#/components/schemas/ReceivedOrder'
        - $ref: '#/components/schemas/ReceivedOrderResponse'
        - $ref: '#/components/schemas/ReceivedShippingNotice'
        - $ref: '#/components/schemas/ReceivedInvoice'
        - $ref: '#/components/schemas/ReceivedCreditNote'
        - $ref: '#/components/schemas/ReceivedDispatchInstruction'
        - $ref: '#/components/schemas/ReceivedDispatchInstructionResponse'
        - $ref: '#/components/schemas/ReceivedReceivalNotice'
        - $ref: '#/components/schemas/ReceivedRemittanceAdvice'
        - $ref: '#/components/schemas/ReceivedProductCatalog'
        - $ref: '#/components/schemas/ReceivedInventoryReport'
        - $ref: '#/components/schemas/ReceivedSalesReport'
        - $ref: '#/components/schemas/ReceivedWorkOrder'
        - $ref: '#/components/schemas/ReceivedStockMovement'
    ValidationError:
      type: object
      additionalProperties:
        type: array
        description: List of validation errors.
        minItems: 1
        items:
          type: string
    ReceivedOrder:
      title: Order
      allOf:
        - $ref: '#/components/schemas/OrderFields'
        - type: object
          properties:
            header:
              $ref: '#/components/schemas/ReceivedOrderHeader'
    ReceivedOrderResponse:
      title: Order Response
      allOf:
        - $ref: '#/components/schemas/OrderResponseFields'
        - type: object
          properties:
            header:
              $ref: '#/components/schemas/ReceivedOrderResponseHeader'
    ReceivedShippingNotice:
      title: Shipping Notice
      allOf:
        - $ref: '#/components/schemas/ShippingNoticeFields'
        - type: object
          properties:
            header:
              $ref: '#/components/schemas/ReceivedShippingNoticeHeader'
            transportUnits:
              type: array
              description: >-
                Transport units (e.g. pallets, cartons) contained in the
                shipment. Can be nested in case of sandwich pallets.
              minItems: 1
              items:
                $ref: >-
                  #/components/schemas/ReceivedShippingNoticeTransportUnitWithSubTransportUnits
    ReceivedInvoice:
      title: Invoice
      allOf:
        - $ref: '#/components/schemas/InvoiceFields'
        - type: object
          properties:
            header:
              $ref: '#/components/schemas/ReceivedInvoiceHeader'
    ReceivedCreditNote:
      title: Credit Note
      allOf:
        - $ref: '#/components/schemas/CreditNoteFields'
        - type: object
          properties:
            header:
              $ref: '#/components/schemas/ReceivedCreditNoteHeader'
    ReceivedDispatchInstruction:
      title: Dispatch Instruction
      allOf:
        - $ref: '#/components/schemas/DispatchInstructionFields'
        - type: object
          properties:
            header:
              $ref: '#/components/schemas/ReceivedDispatchInstructionHeader'
    ReceivedDispatchInstructionResponse:
      title: Dispatch Instruction Response
      allOf:
        - $ref: '#/components/schemas/DispatchInstructionResponseFields'
        - type: object
          properties:
            header:
              $ref: '#/components/schemas/ReceivedDispatchInstructionResponseHeader'
    ReceivedReceivalNotice:
      title: Receival Notice
      allOf:
        - $ref: '#/components/schemas/ReceivalNoticeFields'
        - type: object
          properties:
            header:
              $ref: '#/components/schemas/ReceivedReceivalNoticeHeader'
    ReceivedRemittanceAdvice:
      title: Remittance Advice
      allOf:
        - $ref: '#/components/schemas/RemittanceAdviceFields'
        - type: object
          properties:
            header:
              $ref: '#/components/schemas/ReceivedRemittanceAdviceHeader'
            items:
              type: array
              minItems: 1
              items:
                allOf:
                  - $ref: '#/components/schemas/ReceivedRemittanceAdviceItem'
                  - type: object
    ReceivedProductCatalog:
      title: Product Catalog
      allOf:
        - $ref: '#/components/schemas/ProductCatalogFields'
        - type: object
          properties:
            header:
              $ref: '#/components/schemas/ReceivedProductCatalogHeader'
            items:
              type: array
              minItems: 1
              items:
                $ref: '#/components/schemas/ReceivedProductCatalogItemWithSubSubItems'
    ReceivedInventoryReport:
      title: Inventory Report
      allOf:
        - $ref: '#/components/schemas/InventoryReportFields'
        - type: object
          properties:
            header:
              $ref: '#/components/schemas/ReceivedInventoryReportHeader'
    ReceivedSalesReport:
      title: Sales Report
      allOf:
        - $ref: '#/components/schemas/SalesReportFields'
        - type: object
          properties:
            header:
              $ref: '#/components/schemas/ReceivedSalesReportHeader'
            locations:
              type: array
              minItems: 1
              items:
                $ref: '#/components/schemas/ReceivedSalesReportLocation'
    ReceivedWorkOrder:
      title: Work Order
      allOf:
        - $ref: '#/components/schemas/WorkOrderFields'
        - type: object
          properties:
            header:
              $ref: '#/components/schemas/ReceivedWorkOrderHeader'
    ReceivedStockMovement:
      title: Stock Movement
      allOf:
        - $ref: '#/components/schemas/StockMovementFields'
        - type: object
          properties:
            header:
              $ref: '#/components/schemas/ReceivedStockMovementHeader'
    OrderFields:
      type: object
      description: >-
        A purchase order is a formal request from a buying organization to a
        supplier to fulfill a contract. 
      required:
        - header
        - items
      properties:
        header: {}
        items:
          type: array
          minItems: 1
          items:
            $ref: '#/components/schemas/OrderItem'
        summary:
          description: >-
            The summary is required if a modificationGroup exists on the order,
            otherwise the summary is optional. In API v3, the summary will be
            mandatory in any case.
          type: object
          required:
            - subtotalAmount
            - grossAmount
            - netAmount
            - dueAmount
            - totalCharges
            - totalAllowances
            - tax
          properties:
            subtotalAmount:
              type: number
              format: float
              description: >-
                The sum of all line item subtotal amounts. The line item
                subtotal already includes all line item modifications.
            grossAmount:
              type: number
              format: float
              description: The netAmount plus taxes.
            netAmount:
              type: number
              format: float
              description: The subtotalAmount plus totalCharges and minus totalAllowances.
            dueAmount:
              type: number
              format: float
              description: >-
                The grossAmount minus deposit. Note: deposits are not yet
                supported, therefore dueAmount will always equal grossAmount for
                now.
            totalCharges:
              type: number
              format: float
              description: >-
                The total sum of all charges applied on document-level. Does not
                include charges applied on item-level.
            totalAllowances:
              type: number
              format: float
              description: >-
                The total sum of all allowances applied on invoice level. Does
                not include allowances applied on item-level.
            tax:
              type: object
              minItems: 1
              required:
                - total
                - items
              properties:
                total:
                  type: number
                  format: float
                description:
                  type: string
                  example: Total item tax.
                items:
                  type: array
                  items:
                    type: object
                    required:
                      - percentage
                      - taxableAmount
                      - taxAmount
                      - category
                    properties:
                      percentage:
                        type: number
                        format: float
                      taxableAmount:
                        type: number
                        format: float
                      taxAmount:
                        type: number
                        format: float
                      category:
                        type: string
                        description: >-
                          VAT category for this tax amount. One of VAT, EXEMPT,
                          ZERO_RATED, VAT_REVERSE_CHARGE, VAT_INTRA_COMMUNITY,
                          VAT_EXPORT or VAT_OUT_OF_SCOPE.
                      description:
                        type: string
            modificationGroups:
              type: array
              items:
                $ref: '#/components/schemas/ModificationGroup'
    ReceivedOrderHeader:
      allOf:
        - $ref: '#/components/schemas/OrderHeaderFields'
        - type: object
          properties:
            buyer:
              $ref: '#/components/schemas/ReceivedParty'
            supplier:
              $ref: '#/components/schemas/ReceivedParty'
            shipTo:
              description: >-
                If this is kept empty, the "buyer" is used as the "shipTo"
                party. Note: unlike other party fields, identifiers are optional
                for shipTo.
              allOf:
                - $ref: '#/components/schemas/ReceivedShipToParty'
            billTo:
              description: >-
                If this is kept empty, the "buyer" is used as the "billTo"
                party.
              allOf:
                - $ref: '#/components/schemas/ReceivedParty'
            finalRecipient:
              description: >-
                Used in case the shipTo is not the final recipient. Mostly used
                in dropshipping or cross-docking scenarios. Identifiers are
                optional.
              allOf:
                - $ref: '#/components/schemas/ReceivedFinalRecipientParty'
            technicalRecipient:
              description: >-
                Used when the recipient of the message differs from the supplier
                party. Common in scenarios where invoices or documents need to
                be sent to a centralized receiving entity (e.g., a group
                headquarters or shared services center) that differs from the
                actual supplier in the transaction.
              allOf:
                - $ref: '#/components/schemas/ReceivedParty'
            technicalSender:
              description: >-
                Used when the sender of the message differs from the buyer
                party. Common in scenarios where orders or documents are sent
                from a centralized sending entity (e.g., a group headquarters or
                shared services center) that differs from the actual buyer in
                the transaction.
              allOf:
                - $ref: '#/components/schemas/ReceivedParty'
    OrderResponseFields:
      type: object
      required:
        - header
      properties:
        header: {}
        items:
          type: array
          description: >-
            Conditional based on the `type` field in the header: Required when
            type is `CHANGE`; optional when type is `ACCEPT` (omit to confirm
            all lines as-is, or include to selectively confirm specific items);
            prohibited when type is `REJECT` or when type is omitted/null (both
            treated as a full rejection). When the type is `CHANGE`, it must
            contain ALL order line items, regardless whether or not
            `orderedQuantity` and `confirmedQuantity` are equal.
          minItems: 1
          items:
            $ref: '#/components/schemas/OrderResponseItemWithSubSubItems'
        summary:
          description: >-
            The summary is required if a modificationGroup exists on the order
            response, otherwise the summary is optional. In API v3, the summary
            will be mandatory in any case.
          type: object
          required:
            - subtotalAmount
            - grossAmount
            - netAmount
            - dueAmount
            - totalCharges
            - totalAllowances
            - tax
          properties:
            subtotalAmount:
              type: number
              format: float
              description: >-
                The sum of all line item subtotal amounts. The line item
                subtotal already includes all line item modifications.
            grossAmount:
              type: number
              format: float
              description: The netAmount plus taxes.
            netAmount:
              type: number
              format: float
              description: The subtotalAmount plus totalCharges and minus totalAllowances.
            dueAmount:
              type: number
              format: float
              description: >-
                The grossAmount minus deposit. Note: deposits are not yet
                supported, therefore dueAmount will always equal grossAmount for
                now.
            totalCharges:
              type: number
              format: float
              description: >-
                The total sum of all charges applied on document-level. Does not
                include charges applied on item-level.
            totalAllowances:
              type: number
              format: float
              description: >-
                The total sum of all allowances applied on invoice level. Does
                not include allowances applied on item-level.
            tax:
              type: object
              minItems: 1
              required:
                - total
                - items
              properties:
                total:
                  type: number
                  format: float
                description:
                  type: string
                  example: Total item tax.
                items:
                  type: array
                  items:
                    type: object
                    required:
                      - percentage
                      - taxableAmount
                      - taxAmount
                      - category
                    properties:
                      percentage:
                        type: number
                        format: float
                      taxableAmount:
                        type: number
                        format: float
                      taxAmount:
                        type: number
                        format: float
                      category:
                        type: string
                        description: >-
                          VAT category for this tax amount. One of VAT, EXEMPT,
                          ZERO_RATED, VAT_REVERSE_CHARGE, VAT_INTRA_COMMUNITY,
                          VAT_EXPORT or VAT_OUT_OF_SCOPE.
                      description:
                        type: string
            modificationGroups:
              type: array
              items:
                $ref: '#/components/schemas/ModificationGroup'
    ReceivedOrderResponseHeader:
      allOf:
        - $ref: '#/components/schemas/OrderResponseHeaderFields'
        - type: object
          properties:
            buyer:
              $ref: '#/components/schemas/ReceivedParty'
            supplier:
              $ref: '#/components/schemas/ReceivedParty'
            shipTo:
              description: >-
                If this is kept empty, the "buyer" is used as the "shipTo"
                party. Note: unlike other party fields, identifiers are optional
                for shipTo.
              allOf:
                - $ref: '#/components/schemas/ReceivedShipToParty'
            billTo:
              description: >-
                If this is kept empty, the "buyer" is used as the "billTo"
                party.
              allOf:
                - $ref: '#/components/schemas/ReceivedParty'
            finalRecipient:
              description: >-
                Used in case the shipTo is not the final recipient. Mostly used
                in dropshipping or cross-docking scenarios. Identifiers are
                optional.
              allOf:
                - $ref: '#/components/schemas/ReceivedFinalRecipientParty'
            technicalRecipient:
              description: >-
                Used when the recipient of the message differs from the buyer or
                bill_to party. Common in scenarios where invoices or documents
                need to be sent to a centralized receiving entity (e.g., a group
                headquarters or shared services center) that differs from the
                actual buyer or billing party in the transaction.
              allOf:
                - $ref: '#/components/schemas/ReceivedParty'
            technicalSender:
              description: >-
                Used when the sender of the message differs from the supplier
                party. Common in scenarios where orders or documents are sent
                from a centralized sending entity (e.g., a group headquarters or
                shared services center) that differs from the actual buyer in
                the transaction.
              allOf:
                - $ref: '#/components/schemas/ReceivedParty'
    ShippingNoticeFields:
      type: object
      required:
        - header
        - transportUnits
      properties:
        header: {}
        transportUnits: {}
    ReceivedShippingNoticeHeader:
      allOf:
        - $ref: '#/components/schemas/ShippingNoticeHeaderFields'
        - type: object
          properties:
            buyer:
              allOf:
                - $ref: '#/components/schemas/ReceivedParty'
            supplier:
              allOf:
                - $ref: '#/components/schemas/ReceivedParty'
            shipFrom:
              description: >-
                Used in case the shipment is sent by a third-party logistics
                provider.
              allOf:
                - $ref: '#/components/schemas/ReceivedParty'
            shipTo:
              description: >-
                If this is kept empty, the "buyer" is used as the "shipTo"
                party. Note: unlike other party fields, identifiers are optional
                for shipTo.
              allOf:
                - $ref: '#/components/schemas/ReceivedShipToParty'
            billTo:
              description: >-
                If this is kept empty, the "buyer" is used as the "billTo"
                party.
              allOf:
                - $ref: '#/components/schemas/ReceivedParty'
            finalRecipient:
              description: >-
                Used in case the shipTo is not the final recipient. Mostly used
                in dropshipping or cross-docking scenarios. Identifiers are
                optional.
              allOf:
                - $ref: '#/components/schemas/ReceivedFinalRecipientParty'
            technicalRecipient:
              description: >-
                Used when the recipient of the message differs from the buyer or
                bill_to party. Common in scenarios where invoices or documents
                need to be sent to a centralized receiving entity (e.g., a group
                headquarters or shared services center) that differs from the
                actual buyer or billing party in the transaction.
              allOf:
                - $ref: '#/components/schemas/ReceivedParty'
            technicalSender:
              description: >-
                Used when the sender of the message differs from the supplier
                party. Common in scenarios where orders or documents are sent
                from a centralized sending entity (e.g., a group headquarters or
                shared services center) that differs from the actual buyer in
                the transaction.
              allOf:
                - $ref: '#/components/schemas/ReceivedParty'
    ReceivedShippingNoticeTransportUnitWithSubTransportUnits:
      allOf:
        - $ref: '#/components/schemas/ReceivedShippingNoticeTransportUnit'
        - type: object
          properties:
            transportUnits:
              type: array
              description: Contained transport units (e.g. sandwich pallet layers).
              items:
                $ref: '#/components/schemas/ReceivedShippingNoticeTransportUnit'
    InvoiceFields:
      type: object
      description: >-
        Invoices describe purchase orders, line items, partners involved,
        accounting distribution, payment terms, discounts, shipping and special
        handling, taxes, deposit and prepayment, and remittance information.
      required:
        - header
      properties:
        header: {}
        items:
          type: array
          nullable: true
          description: >-
            Can be left out or empty, e.g. when the invoice only has
            document-level charges. Some receivers can still require at least
            one line item.
          items:
            $ref: '#/components/schemas/InvoiceItemWithSubSubItems'
        summary:
          description: >-
            The summary is required if a modificationGroup exists on the
            invoice, otherwise the summary is optional. In API v3, the summary
            will be mandatory in any case.
          type: object
          required:
            - dueAmount
          properties:
            subtotalAmount:
              type: number
              format: float
              description: >-
                The sum of all line item subtotal amounts. The line item
                subtotal already includes all line item modifications.
            grossAmount:
              type: number
              format: float
              description: The netAmount plus taxes.
            netAmount:
              type: number
              format: float
              description: The subtotalAmount plus totalCharges and minus totalAllowances.
            dueAmount:
              type: number
              format: float
              description: >-
                The amount still owed, that is grossAmount minus paidAmount. It
                equals grossAmount when nothing was paid up front.
            paidAmount:
              type: number
              format: float
              description: >-
                The part of the invoice already settled before it was issued,
                for example a prepayment or a deposit. dueAmount is already net
                of this value.
              example: 155.53
            totalCharges:
              type: number
              format: float
              description: >-
                The total sum of all charges applied on document-level. Does not
                include charges applied on item-level.
            totalAllowances:
              type: number
              format: float
              description: >-
                The total sum of all allowances applied on invoice level. Does
                not include allowances applied on item-level.
            tax:
              type: object
              minItems: 1
              required:
                - total
                - items
              properties:
                total:
                  type: number
                  format: float
                description:
                  type: string
                  example: Total item tax.
                items:
                  type: array
                  items:
                    type: object
                    required:
                      - percentage
                      - taxableAmount
                      - taxAmount
                      - category
                    properties:
                      percentage:
                        type: number
                        format: float
                      taxableAmount:
                        type: number
                        format: float
                      taxAmount:
                        type: number
                        format: float
                      category:
                        type: string
                        description: >-
                          VAT category for this tax amount. One of VAT, EXEMPT,
                          ZERO_RATED, VAT_REVERSE_CHARGE, VAT_INTRA_COMMUNITY,
                          VAT_EXPORT or VAT_OUT_OF_SCOPE.
                      description:
                        type: string
            modificationGroups:
              type: array
              items:
                $ref: '#/components/schemas/ModificationGroup'
    ReceivedInvoiceHeader:
      allOf:
        - $ref: '#/components/schemas/InvoiceHeaderFields'
        - type: object
          properties:
            buyer:
              $ref: '#/components/schemas/ReceivedParty'
            supplier:
              $ref: '#/components/schemas/ReceivedParty'
            shipTo:
              description: >-
                If this is kept empty, the "buyer" is used as the "shipTo"
                party. Note: unlike other party fields, identifiers are optional
                for shipTo.
              allOf:
                - $ref: '#/components/schemas/ReceivedShipToParty'
            billTo:
              description: >-
                If this is kept empty, the "buyer" is used as the "billTo"
                party.
              allOf:
                - $ref: '#/components/schemas/ReceivedParty'
            billFrom:
              description: >-
                If this is kept empty, the "supplier" is used as the "billFrom"
                party.
              allOf:
                - $ref: '#/components/schemas/ReceivedParty'
            finalRecipient:
              description: >-
                Used in case the shipTo is not the final recipient. Mostly used
                in dropshipping or cross-docking scenarios. Identifiers are
                optional.
              allOf:
                - $ref: '#/components/schemas/ReceivedFinalRecipientParty'
            technicalRecipient:
              description: >-
                Used when the recipient of the message differs from the buyer or
                bill_to party. Common in scenarios where invoices or documents
                need to be sent to a centralized receiving entity (e.g., a group
                headquarters or shared services center) that differs from the
                actual buyer or billing party in the transaction.
              allOf:
                - $ref: '#/components/schemas/ReceivedParty'
            technicalSender:
              description: >-
                Used when the sender of the message differs from the supplier
                party. Common in scenarios where orders or documents are sent
                from a centralized sending entity (e.g., a group headquarters or
                shared services center) that differs from the actual buyer in
                the transaction.
              allOf:
                - $ref: '#/components/schemas/ReceivedParty'
    CreditNoteFields:
      type: object
      description: >-
        A credit note is a document sent to a customer in order to correct a
        mistake on an order or an invoice, or to refund an amount paid for
        products or services.
      required:
        - header
        - summary
      properties:
        header: {}
        items:
          type: array
          nullable: true
          description: >-
            Can be left out or empty, e.g. when the credit note only has
            document-level charges. Some receivers can still require at least
            one line item.
          items:
            $ref: '#/components/schemas/CreditNoteItemWithSubSubItems'
        summary:
          description: >-
            The summary is required if a modificationGroup exists on the
            invoice, otherwise the summary is optional. In API v3, the summary
            will be mandatory in any case.
          type: object
          required:
            - dueAmount
          properties:
            subtotalAmount:
              type: number
              format: float
              description: >-
                The sum of all line item subtotal amounts. The line item
                subtotal already includes all line item modifications.
            grossAmount:
              type: number
              format: float
              description: The netAmount plus taxes.
            netAmount:
              type: number
              format: float
              description: The subtotalAmount plus totalCharges and minus totalAllowances.
            dueAmount:
              type: number
              format: float
              description: >-
                The amount still owed, that is grossAmount minus paidAmount. It
                equals grossAmount when nothing was paid up front.
            paidAmount:
              type: number
              format: float
              description: >-
                The part of the invoice already settled before it was issued,
                for example a prepayment or a deposit. dueAmount is already net
                of this value.
              example: 155.53
            totalCharges:
              type: number
              format: float
              description: >-
                The total sum of all charges applied on document-level. Does not
                include charges applied on item-level.
            totalAllowances:
              type: number
              format: float
              description: >-
                The total sum of all allowances applied on invoice level. Does
                not include allowances applied on item-level.
            tax:
              type: object
              minItems: 1
              required:
                - total
                - items
              properties:
                total:
                  type: number
                  format: float
                description:
                  type: string
                  example: Total item tax.
                items:
                  type: array
                  items:
                    type: object
                    required:
                      - percentage
                      - taxableAmount
                      - taxAmount
                      - category
                    properties:
                      percentage:
                        type: number
                        format: float
                      taxableAmount:
                        type: number
                        format: float
                      taxAmount:
                        type: number
                        format: float
                      category:
                        type: string
                        description: >-
                          VAT category for this tax amount. One of VAT, EXEMPT,
                          ZERO_RATED, VAT_REVERSE_CHARGE, VAT_INTRA_COMMUNITY,
                          VAT_EXPORT or VAT_OUT_OF_SCOPE.
                      description:
                        type: string
            modificationGroups:
              type: array
              items:
                $ref: '#/components/schemas/ModificationGroup'
    ReceivedCreditNoteHeader:
      allOf:
        - $ref: '#/components/schemas/CreditNoteHeaderFields'
        - type: object
          properties:
            buyer:
              $ref: '#/components/schemas/ReceivedParty'
            supplier:
              $ref: '#/components/schemas/ReceivedParty'
            shipTo:
              description: >-
                If this is kept empty, the "buyer" is used as the "shipTo"
                party. Note: unlike other party fields, identifiers are optional
                for shipTo.
              allOf:
                - $ref: '#/components/schemas/ReceivedShipToParty'
            billTo:
              description: >-
                If this is kept empty, the "buyer" is used as the "billTo"
                party.
              allOf:
                - $ref: '#/components/schemas/ReceivedParty'
            billFrom:
              description: >-
                If this is kept empty, the "supplier" is used as the "billFrom"
                party.
              allOf:
                - $ref: '#/components/schemas/ReceivedParty'
            finalRecipient:
              description: >-
                Used in case the shipTo is not the final recipient. Mostly used
                in dropshipping or cross-docking scenarios. Identifiers are
                optional.
              allOf:
                - $ref: '#/components/schemas/ReceivedFinalRecipientParty'
            technicalRecipient:
              description: >-
                Used when the recipient of the message differs from the buyer or
                bill_to party. Common in scenarios where invoices or documents
                need to be sent to a centralized receiving entity (e.g., a group
                headquarters or shared services center) that differs from the
                actual buyer or billing party in the transaction.
              allOf:
                - $ref: '#/components/schemas/ReceivedParty'
            technicalSender:
              description: >-
                Used when the sender of the message differs from the supplier
                party. Common in scenarios where orders or documents are sent
                from a centralized sending entity (e.g., a group headquarters or
                shared services center) that differs from the actual buyer in
                the transaction.
              allOf:
                - $ref: '#/components/schemas/ReceivedParty'
    DispatchInstructionFields:
      type: object
      required:
        - header
        - items
      properties:
        header: {}
        items:
          type: array
          minItems: 1
          items:
            allOf:
              - $ref: '#/components/schemas/DispatchInstructionItem'
              - type: object
                properties:
                  subItems:
                    type: array
                    description: >-
                      Sub items of this dispatch instruction item. Supports two
                      levels of nesting.
                    items:
                      allOf:
                        - $ref: '#/components/schemas/DispatchInstructionItem'
                        - type: object
                          properties:
                            subItems:
                              type: array
                              description: Sub items of this sub dispatch instruction item.
                              items:
                                $ref: '#/components/schemas/DispatchInstructionItem'
    ReceivedDispatchInstructionHeader:
      allOf:
        - $ref: '#/components/schemas/DispatchInstructionHeaderFields'
        - type: object
          properties:
            shipFrom:
              $ref: '#/components/schemas/ReceivedParty'
            shipTo:
              description: >-
                If this is kept empty, the "customer" is used as the "shipTo"
                party. Note: unlike other party fields, identifiers are optional
                for shipTo.
              allOf:
                - $ref: '#/components/schemas/ReceivedShipToParty'
            billTo:
              description: >-
                If this is kept empty, the "customer" is used as the "billTo"
                party.
              allOf:
                - $ref: '#/components/schemas/ReceivedParty'
            finalRecipient:
              description: >-
                Used in case the shipTo is not the final recipient. Mostly used
                in dropshipping or cross-docking scenarios. Identifiers are
                optional.
              allOf:
                - $ref: '#/components/schemas/ReceivedFinalRecipientParty'
            technicalRecipient:
              description: >-
                Used when the recipient of the message differs from the buyer or
                bill_to party. Common in scenarios where invoices or documents
                need to be sent to a centralized receiving entity (e.g., a group
                headquarters or shared services center) that differs from the
                actual buyer or billing party in the transaction.
              allOf:
                - $ref: '#/components/schemas/ReceivedParty'
            technicalSender:
              description: >-
                Used when the sender of the message differs from the supplier
                party. Common in scenarios where orders or documents are sent
                from a centralized sending entity (e.g., a group headquarters or
                shared services center) that differs from the actual buyer in
                the transaction.
              allOf:
                - $ref: '#/components/schemas/ReceivedParty'
            customer:
              $ref: '#/components/schemas/ReceivedParty'
            supplier:
              $ref: '#/components/schemas/ReceivedParty'
    DispatchInstructionResponseFields:
      type: object
      required:
        - header
        - transportUnits
      properties:
        header: {}
        transportUnits:
          type: array
          minItems: 1
          items:
            allOf:
              - $ref: '#/components/schemas/DispatchInstructionResponseTransportUnits'
              - type: object
                properties:
                  transportUnits:
                    type: array
                    description: >-
                      Transport units contained in this unit, e.g. the cartons
                      on a pallet. A unit that contains transport units may omit
                      `items` or send an empty list. A contained transport unit
                      must contain a nonempty list of `items`. Transport units
                      nested below contained transport units are ignored.
                    items:
                      allOf:
                        - $ref: >-
                            #/components/schemas/DispatchInstructionResponseTransportUnits
                        - type: object
                          required:
                            - items
    ReceivedDispatchInstructionResponseHeader:
      allOf:
        - $ref: '#/components/schemas/DispatchInstructionResponseHeaderFields'
        - type: object
          properties:
            buyer:
              $ref: '#/components/schemas/ReceivedParty'
            supplier:
              $ref: '#/components/schemas/ReceivedParty'
            shipTo:
              description: >-
                Note: unlike other party fields, identifiers are optional for
                shipTo.
              allOf:
                - $ref: '#/components/schemas/ReceivedShipToParty'
            billTo:
              $ref: '#/components/schemas/ReceivedParty'
            shipFrom:
              $ref: '#/components/schemas/ReceivedParty'
            finalRecipient:
              description: >-
                Used in case the shipTo is not the final recipient. Mostly used
                in dropshipping or cross-docking scenarios. Identifiers are
                optional.
              allOf:
                - $ref: '#/components/schemas/ReceivedFinalRecipientParty'
            technicalRecipient:
              description: >-
                Used when the recipient of the message differs from the buyer or
                bill_to party. Common in scenarios where invoices or documents
                need to be sent to a centralized receiving entity (e.g., a group
                headquarters or shared services center) that differs from the
                actual buyer or billing party in the transaction.
              allOf:
                - $ref: '#/components/schemas/ReceivedParty'
            technicalSender:
              description: >-
                Used when the sender of the message differs from the supplier
                party. Common in scenarios where orders or documents are sent
                from a centralized sending entity (e.g., a group headquarters or
                shared services center) that differs from the actual buyer in
                the transaction.
              allOf:
                - $ref: '#/components/schemas/ReceivedParty'
    ReceivalNoticeFields:
      type: object
      required:
        - header
        - transportUnits
      properties:
        header: {}
        transportUnits:
          type: array
          minItems: 1
          items:
            allOf:
              - $ref: '#/components/schemas/ReceivalNoticeTransportUnits'
              - type: object
                properties:
                  transportUnits:
                    type: array
                    description: >-
                      Transport units contained in this unit, e.g. the cartons
                      on a pallet. A unit that contains transport units may omit
                      `items` or send an empty list. A contained transport unit
                      must contain a nonempty list of `items`. Transport units
                      nested below contained transport units are ignored.
                    items:
                      allOf:
                        - $ref: '#/components/schemas/ReceivalNoticeTransportUnits'
                        - type: object
                          required:
                            - items
    ReceivedReceivalNoticeHeader:
      allOf:
        - $ref: '#/components/schemas/ReceivalNoticeHeaderFields'
        - type: object
          properties:
            shipTo:
              description: >-
                Note: unlike other party fields, identifiers are optional for
                shipTo.
              allOf:
                - $ref: '#/components/schemas/ReceivedShipToParty'
            customer:
              $ref: '#/components/schemas/ReceivedParty'
            shipFrom:
              $ref: '#/components/schemas/ReceivedParty'
            billTo:
              $ref: '#/components/schemas/ReceivedParty'
            supplier:
              $ref: '#/components/schemas/ReceivedParty'
            technicalRecipient:
              description: >-
                Used when the recipient of the message differs from the buyer or
                bill_to party. Common in scenarios where invoices or documents
                need to be sent to a centralized receiving entity (e.g., a group
                headquarters or shared services center) that differs from the
                actual buyer or billing party in the transaction.
              allOf:
                - $ref: '#/components/schemas/ReceivedParty'
            technicalSender:
              description: >-
                Used when the sender of the message differs from the supplier
                party. Common in scenarios where orders or documents are sent
                from a centralized sending entity (e.g., a group headquarters or
                shared services center) that differs from the actual buyer in
                the transaction.
              allOf:
                - $ref: '#/components/schemas/ReceivedParty'
    RemittanceAdviceFields:
      type: object
      required:
        - header
        - items
        - summary
      properties:
        header: {}
        items: {}
        summary:
          $ref: '#/components/schemas/RemittanceAdviceSummary'
    ReceivedRemittanceAdviceHeader:
      allOf:
        - $ref: '#/components/schemas/RemittanceAdviceHeaderFields'
        - type: object
          properties:
            payFrom:
              $ref: '#/components/schemas/ReceivedParty'
            payTo:
              $ref: '#/components/schemas/ReceivedParty'
            buyer:
              $ref: '#/components/schemas/ReceivedParty'
            supplier:
              $ref: '#/components/schemas/ReceivedParty'
            technicalRecipient:
              description: >-
                Used when the recipient of the message differs from the buyer or
                bill_to party. Common in scenarios where invoices or documents
                need to be sent to a centralized receiving entity (e.g., a group
                headquarters or shared services center) that differs from the
                actual buyer or billing party in the transaction.
              allOf:
                - $ref: '#/components/schemas/ReceivedParty'
            technicalSender:
              description: >-
                Used when the sender of the message differs from the supplier
                party. Common in scenarios where orders or documents are sent
                from a centralized sending entity (e.g., a group headquarters or
                shared services center) that differs from the actual buyer in
                the transaction.
              allOf:
                - $ref: '#/components/schemas/ReceivedParty'
    ReceivedRemittanceAdviceItem:
      allOf:
        - $ref: '#/components/schemas/RemittanceAdviceItemFields'
        - type: object
          properties:
            buyer:
              $ref: '#/components/schemas/ReceivedParty'
            shipTo:
              description: >-
                Note: unlike other party fields, identifiers are optional for
                shipTo.
              allOf:
                - $ref: '#/components/schemas/ReceivedShipToParty'
    ProductCatalogFields:
      type: object
      required:
        - header
        - items
      properties:
        header: {}
        items: {}
    ReceivedProductCatalogHeader:
      allOf:
        - $ref: '#/components/schemas/ProductCatalogHeaderFields'
        - type: object
          properties:
            sender:
              $ref: '#/components/schemas/ReceivedParty'
            receiver:
              $ref: '#/components/schemas/ReceivedParty'
            manufacturer:
              $ref: '#/components/schemas/ReceivedParty'
              description: >-
                GPSR Manufacturer Contact Address in a PRICAT refers to the
                official address of the product's manufacturer as required under
                the General Product Safety Regulation (GPSR). It enables
                traceability and confirms the manufacturer's responsibility for
                product safety.
            technicalRecipient:
              description: >-
                Used when the recipient of the message differs from the receiver
                party. Common in scenarios where invoices or documents need to
                be sent to a centralized receiving entity (e.g., a group
                headquarters or shared services center) that differs from the
                actual receiver in the transaction.
              allOf:
                - $ref: '#/components/schemas/ReceivedParty'
            technicalSender:
              description: >-
                Used when the sender of the message differs from the supplier
                party. Common in scenarios where orders or documents are sent
                from a centralized sending entity (e.g., a group headquarters or
                shared services center) that differs from the actual buyer in
                the transaction.
              allOf:
                - $ref: '#/components/schemas/ReceivedParty'
    ReceivedProductCatalogItemWithSubSubItems:
      allOf:
        - $ref: '#/components/schemas/ReceivedProductCatalogItem'
        - type: object
          properties:
            subItems:
              type: array
              description: >-
                Sub items of this product catalog item. Supports two levels of
                nesting.
              items:
                $ref: '#/components/schemas/ReceivedProductCatalogItemWithSubItems'
    InventoryReportFields:
      type: object
      required:
        - header
        - items
      properties:
        header: {}
        items:
          type: array
          minItems: 1
          items:
            $ref: '#/components/schemas/InventoryReportItem'
    ReceivedInventoryReportHeader:
      allOf:
        - $ref: '#/components/schemas/InventoryReportHeaderFields'
        - type: object
          properties:
            warehouse:
              $ref: '#/components/schemas/ReceivedParty'
            goodsOwner:
              $ref: '#/components/schemas/ReceivedParty'
            technicalRecipient:
              description: >-
                Used when the recipient of the message differs from the buyer or
                bill_to party. Common in scenarios where invoices or documents
                need to be sent to a centralized receiving entity (e.g., a group
                headquarters or shared services center) that differs from the
                actual buyer or billing party in the transaction.
              allOf:
                - $ref: '#/components/schemas/ReceivedParty'
            technicalSender:
              description: >-
                Used when the sender of the message differs from the supplier
                party. Common in scenarios where orders or documents are sent
                from a centralized sending entity (e.g., a group headquarters or
                shared services center) that differs from the actual buyer in
                the transaction.
              allOf:
                - $ref: '#/components/schemas/ReceivedParty'
    SalesReportFields:
      type: object
      required:
        - header
        - locations
      properties:
        header: {}
        locations: {}
    ReceivedSalesReportHeader:
      allOf:
        - $ref: '#/components/schemas/SalesReportHeaderFields'
        - type: object
          properties:
            supplier:
              $ref: '#/components/schemas/ReceivedParty'
            buyer:
              $ref: '#/components/schemas/ReceivedParty'
            technicalRecipient:
              description: >-
                Used when the recipient of the message differs from the buyer or
                bill_to party. Common in scenarios where invoices or documents
                need to be sent to a centralized receiving entity (e.g., a group
                headquarters or shared services center) that differs from the
                actual buyer or billing party in the transaction.
              allOf:
                - $ref: '#/components/schemas/ReceivedParty'
            technicalSender:
              description: >-
                Used when the sender of the message differs from the supplier
                party. Common in scenarios where orders or documents are sent
                from a centralized sending entity (e.g., a group headquarters or
                shared services center) that differs from the actual buyer in
                the transaction.
              allOf:
                - $ref: '#/components/schemas/ReceivedParty'
    ReceivedSalesReportLocation:
      allOf:
        - $ref: '#/components/schemas/SalesReportLocationFields'
        - type: object
          properties:
            location:
              $ref: '#/components/schemas/ReceivedParty'
    WorkOrderFields:
      type: object
      required:
        - header
        - outputItems
      properties:
        header: {}
        outputItems:
          type: array
          minItems: 1
          description: >-
            The items the work order produces. Each output item can list the
            input items that it consumes.
          items:
            $ref: '#/components/schemas/WorkOrderOutputItem'
    ReceivedWorkOrderHeader:
      allOf:
        - $ref: '#/components/schemas/WorkOrderHeaderFields'
        - type: object
          properties:
            buyer:
              $ref: '#/components/schemas/ReceivedParty'
            supplier:
              $ref: '#/components/schemas/ReceivedParty'
            shipTo:
              description: Party the finished goods are delivered to.
              allOf:
                - $ref: '#/components/schemas/ReceivedParty'
            technicalRecipient:
              description: >-
                Used when the recipient of the message differs from the buyer.
                Procuros routes the work order to the technical recipient when
                it is set, else to the buyer.
              allOf:
                - $ref: '#/components/schemas/ReceivedParty'
            technicalSender:
              description: >-
                Used when the sender of the message differs from the supplier
                party.
              allOf:
                - $ref: '#/components/schemas/ReceivedParty'
    StockMovementFields:
      type: object
      required:
        - header
      properties:
        header: {}
        items:
          type: array
          items:
            $ref: '#/components/schemas/StockMovementItem'
    ReceivedStockMovementHeader:
      allOf:
        - $ref: '#/components/schemas/StockMovementHeaderFields'
        - type: object
          properties:
            goodsOwner:
              description: Owner of the goods.
              allOf:
                - $ref: '#/components/schemas/ReceivedParty'
            warehouse:
              $ref: '#/components/schemas/ReceivedParty'
            technicalRecipient:
              description: >-
                Used when the recipient of the message differs from the goods
                owner.
              allOf:
                - $ref: '#/components/schemas/ReceivedParty'
            technicalSender:
              description: Used when the sender of the message differs from the warehouse.
              allOf:
                - $ref: '#/components/schemas/ReceivedParty'
    OrderItem:
      type: object
      properties:
        lineNumber:
          example: 1
          description: >-
            LineNumber attribute may remain constant for any item through
            updates to the order, therefor lineNumbers may not be consecutive.
          type: integer
        identifiers:
          type: array
          description: >-
            Which identifiers are required depends on your trade partner. Most
            trade partners expect at least one identifier with domain `GS1` or
            `BUYER`.
          items:
            $ref: '#/components/schemas/ItemIdentifier'
        isDepositItem:
          type: boolean
          description: >-
            If true, the item is a deposit item such as bottle deposit (German:
            Pfandartikel).
        quantity:
          example: 2
          description: Defaults to 1.
          type: number
          format: float
        freeQuantity:
          type: number
          format: float
          example: 1
          default: null
          description: >-
            The quantity of this item that is free of charge, in addition to
            (not part of) `quantity`. For example, an order line with `quantity`
            10 and `freeQuantity` 2 means 12 units are delivered in total, 2 of
            which are free of charge. For subitems, this must be the total free
            quantity of this item. For example, the parent item is a display of
            chocolate bars and has free quantity set to 2. Each display contains
            50 chocolate bars. Therefore, the free quantity of the "Chocolate
            Bar" subitem is 100 (2x50).
        unitOfMeasure:
          $ref: '#/components/schemas/UnitOfMeasure'
        lowerUnitOfMeasure:
          $ref: '#/components/schemas/UnitOfMeasure'
        lowerUnitQuantity:
          type: number
          format: float
        higherUnitOfMeasure:
          $ref: '#/components/schemas/UnitOfMeasure'
        higherUnitQuantity:
          type: number
          format: float
        description:
          type: string
        comments:
          type: string
        unitPrice:
          example: 4.75
          type: number
          format: float
        pricingUnitOfMeasure:
          type: string
          maxLength: 255
          description: >-
            The unit of measure used for pricing. This field specifies the unit
            that the price refers to, which may differ from the quantity unit
            (e.g., price per carton when quantity is in pieces).
        pricingUnitQuantity:
          type: number
          format: float
          description: >-
            The quantity of base units contained in the pricing unit of measure.
            For example, if the price is per carton (pricingUnitOfMeasure: "CT")
            and each carton contains 100 pieces, this field stores 100.
        recommendedRetailPrice:
          example: 5.25
          type: number
          format: float
        tax:
          $ref: '#/components/schemas/Tax'
        promotionCode:
          type: string
          maxLength: 255
          description: Promotion code applied to this item.
        contractReference:
          type: string
          maxLength: 255
          description: Contract reference for this item.
        requestedDeliveryDate:
          description: >-
            Requested delivery date for this item. Use ISO 8601 date format:
            YYYY-MM-DD (e.g. 2023-12-06).
          allOf:
            - $ref: '#/components/schemas/DateTime'
        requestedEarliestDeliveryDate:
          $ref: '#/components/schemas/DateTime'
        requestedLatestDeliveryDate:
          $ref: '#/components/schemas/DateTime'
        deliveryGracePeriodInDays:
          type: integer
          description: Delivery grace period in days.
        minimumRemainingShelfLifeInDays:
          type: integer
          description: Minimum remaining shelf life in days.
        netWeight:
          type: number
          format: float
          description: Net weight of the item in grams.
        grossWeight:
          type: number
          format: float
          description: Gross weight of the item in grams.
        originCountryCode:
          type: string
          description: ISO 3166-1 alpha-2 country code.
          example: DE
        colorCode:
          type: string
          description: Color code of the item.
        colorName:
          type: string
          description: Color name of the item.
        size:
          type: string
          description: Size of the item.
        dimension:
          type: string
          description: Dimension of the item.
        hsCode:
          type: string
          description: Harmonized System Code of the item.
        cnCode:
          type: string
          description: >-
            The 8-digit Combined Nomenclature (CN) code classifying this product
            for EU customs and trade statistics. Suppliers are responsible for
            providing a valid code.
        organicControlPointNumber:
          type: string
          maxLength: 255
          description: >-
            Organic Control Point Number of the supplier - OCPN is a unique
            identifier that verifies that a producer of organic products is
            adhering to the standards for organic production.
        fscNumber:
          type: string
          description: >-
            An FSC number refers to an identification number issued by the
            Forest Stewardship Council (FSC), an international organization that
            certifies sustainable forestry practices.
        mscNumber:
          type: string
          description: >-
            An MSC number refers to an identification number issued by the
            Marine Stewardship Council (MSC), an international organization that
            certifies sustainable fishing practices.
        productionDate:
          type: string
          format: date
          example: '2021-01-01'
          description: >-
            Date on which this item was produced. For wine, this is the vintage.
            If only the year is known, use 1 January of that year. This is not
            the expiration or best-before date.
        season:
          type: string
          description: >-
            The season or collection period this item belongs to. Used to group
            and filter assortment by seasonal release.
        gender:
          type: string
          description: >-
            The target gender this item is designed for (e.g. Male, Female,
            Unisex). Used to classify and filter assortment by gender segment.
          example: SS27
        brand:
          type: string
          description: Brand or manufacturer name of the product (e.g., BOSCH, Kela).
          example: BOSCH
        consumerGroup:
          type: string
          description: >-
            Gender for which this item is marketed (e.g., Unisex, Damen,
            Herren).
        assortment:
          type: string
          description: >-
            Collection which the item belongs to (e.g., ME_GEN, COA_FB, COA_G,
            COA_OR, MB_EP, MB_EX, MB_LS, VCA_CE, LAN_ARP, JCH_IWF, JCH_IWC,
            LAC_L).
        category:
          type: string
          description: Product category classification (e.g., 1008).
        subCategory:
          type: string
          description: Product sub-category classification.
        certificationsRequired:
          $ref: '#/components/schemas/CertificationsRequired'
        attachments:
          type: array
          description: >-
            Document attachments for this line item, such as technical
            datasheets, product labels, or compliance documentation.
          items:
            $ref: '#/components/schemas/LineItemAttachment'
        modificationGroups:
          type: array
          items:
            $ref: '#/components/schemas/ModificationGroup'
    ModificationGroup:
      type: object
      required:
        - basis
        - level
        - modifications
      properties:
        basis:
          type: number
          format: float
          example: 1.5
          description: >-
            The net base amount on which the modifications are applied. For
            item-level modifications on level 1, this equals the line item
            subtotal (quantity * unitPrice). For document-level modifications on
            level 1, this equals the subtotalAmount of the invoice.
        level:
          type: integer
          example: 1
          description: >-
            Determines in which order the modifications group should be applied.
            Starting at 1 and continuously increasing. There should be no
            modification groups with the same level.
        modifications:
          type: array
          minItems: 1
          items:
            $ref: '#/components/schemas/Modification'
    OrderHeaderFields:
      type: object
      required:
        - buyer
        - supplier
        - orderIdentifier
        - orderDate
      properties:
        buyer: {}
        supplier: {}
        shipTo: {}
        billTo: {}
        finalRecipient: {}
        technicalRecipient: {}
        technicalSender: {}
        orderIdentifier:
          type: string
          example: PO9383-R45
          description: Order number assigned to this purchase order by the buyer.
        orderDate:
          $ref: '#/components/schemas/DateTime'
        AdditionalOrderIdentifiers:
          $ref: '#/components/schemas/AdditionalOrderIdentifiers'
        type:
          type: string
          description: Type of the order as assigned by sender.
        requestedDeliveryDate:
          description: >-
            Requested delivery date. Use ISO 8601 date format: YYYY-MM-DD (e.g.
            2023-12-06).
          allOf:
            - $ref: '#/components/schemas/DateTime'
        requestedEarliestDeliveryDate:
          description: >-
            Earliest date of the requested delivery window. Use ISO 8601 date
            format: YYYY-MM-DD (e.g. 2023-12-06).
          allOf:
            - $ref: '#/components/schemas/DateTime'
        requestedLatestDeliveryDate:
          description: >-
            Latest date of the requested delivery window. Use ISO 8601 date
            format: YYYY-MM-DD (e.g. 2023-12-06).
          allOf:
            - $ref: '#/components/schemas/DateTime'
        currency:
          $ref: '#/components/schemas/Currency'
        paymentTerms:
          type: array
          description: Used for defining payment targets and optional discounts.
          items:
            $ref: '#/components/schemas/PaymentTerm'
        comments:
          type: string
          maxLength: 100000
          description: >-
            Arbitrary human-readable information buyers can send within purchase
            orders
        deliveryInformation:
          type: string
          maxLength: 100000
          description: Delivery information for the order.
        purchasingInformation:
          type: string
          maxLength: 100000
          description: Additional information about purchasing.
        legalInformation:
          type: string
          maxLength: 100000
          description: Legal notices and information.
        promotionCode:
          type: string
          maxLength: 255
          description: Promotion code applied to the entire order.
        contractReference:
          type: string
          maxLength: 255
          description: Contract reference for the order.
        version:
          type: integer
          description: >-
            The document version number. Subsequent updates should increment
            this number by 1.
        attachments:
          type: array
          items:
            $ref: '#/components/schemas/Attachment'
    ReceivedParty:
      allOf:
        - $ref: '#/components/schemas/PartyFields'
        - type: object
          properties:
            financialInstitution:
              type: array
              description: >-
                Bank details of the party. One entry per bank code, the SWIFT
                entry first; every entry repeats the account fields.
              items:
                $ref: '#/components/schemas/FinancialInstitution'
    ReceivedShipToParty:
      allOf:
        - $ref: '#/components/schemas/ShipToPartyFields'
        - type: object
          properties:
            financialInstitution:
              type: array
              description: >-
                Bank details of the party. One entry per bank code, the SWIFT
                entry first; every entry repeats the account fields.
              items:
                $ref: '#/components/schemas/FinancialInstitution'
    ReceivedFinalRecipientParty:
      allOf:
        - $ref: '#/components/schemas/FinalRecipientPartyFields'
        - type: object
          properties:
            financialInstitution:
              type: array
              description: >-
                Bank details of the party. One entry per bank code, the SWIFT
                entry first; every entry repeats the account fields.
              items:
                $ref: '#/components/schemas/FinancialInstitution'
    OrderResponseItemWithSubSubItems:
      allOf:
        - $ref: '#/components/schemas/OrderResponseItem'
        - type: object
          properties:
            subItems:
              type: array
              description: >-
                Sub items of this order response item. Supports two levels of
                nesting.
              items:
                $ref: '#/components/schemas/OrderResponseItemWithSubItems'
    OrderResponseHeaderFields:
      type: object
      required:
        - buyer
        - supplier
        - orderResponseIdentifier
        - orderResponseDate
        - orderIdentifier
      properties:
        type:
          type: string
          description: >-
            Type of the order response. `ACCEPT` means the order was accepted
            exactly as ordered. `REJECT` means the order was fully rejected.
            `CHANGE` means part of the order was accepted but either line item
            quantities or delivery date are changed. **If this field is omitted
            or set to null, the response is treated identically to `REJECT` —
            items are prohibited and the order is considered fully rejected. It
            is strongly recommended to always provide an explicit type.**
          enum:
            - ACCEPT
            - REJECT
            - CHANGE
        version:
          type: integer
          description: >-
            If you are sending multiple order responses, this field must be
            incremented by 1 for each response.
        buyer: {}
        supplier: {}
        shipTo: {}
        billTo: {}
        finalRecipient: {}
        technicalRecipient: {}
        technicalSender: {}
        orderResponseIdentifier:
          type: string
          example: RE-PO9383-R45
          description: >-
            Order response number assigned by the supplier to identify this
            order response.
        orderResponseDate:
          $ref: '#/components/schemas/DateTime'
        orderIdentifier:
          type: string
          example: PO9383-R45
          description: Order number assigned to this purchase order by the buyer.
        orderDate:
          $ref: '#/components/schemas/DateTime'
        AdditionalOrderIdentifiers:
          $ref: '#/components/schemas/AdditionalOrderIdentifiers'
        confirmedDeliveryDate:
          description: >-
            Optional. Prohibited for `REJECT` type. The confirmed date on which
            the goods arrive at the destination. Can be omitted, for example
            when only the `confirmedShipmentDate` is known. Do not send the
            shipment date in this field. Whether it is required depends on your
            trade partner.
          allOf:
            - $ref: '#/components/schemas/DateTime'
        confirmedShipmentDate:
          description: >-
            The confirmed date on which the goods leave the supplier
            (shipment/dispatch date). Distinct from the confirmed delivery date,
            which is when the goods arrive at the destination.
          allOf:
            - $ref: '#/components/schemas/DateTime'
        requestedDeliveryDate:
          description: >-
            Required on order response type `CHANGE`. Prohibited for `REJECT`
            type. The requested delivery date of the order.
          allOf:
            - $ref: '#/components/schemas/DateTime'
        requestedEarliestDeliveryDate:
          description: >-
            Earliest date of the requested delivery window. Use ISO 8601 date
            format: YYYY-MM-DD (e.g. 2023-12-06).
          allOf:
            - $ref: '#/components/schemas/DateTime'
        requestedLatestDeliveryDate:
          description: >-
            Latest date of the requested delivery window. Use ISO 8601 date
            format: YYYY-MM-DD (e.g. 2023-12-06).
          allOf:
            - $ref: '#/components/schemas/DateTime'
        currency:
          $ref: '#/components/schemas/Currency'
        paymentTerms:
          type: array
          description: Used for defining payment targets and optional discounts.
          items:
            $ref: '#/components/schemas/PaymentTerm'
        comments:
          type: string
          maxLength: 100000
          description: >-
            Arbitrary human-readable information buyers can send within purchase
            orders
        deliveryInformation:
          type: string
          maxLength: 100000
          description: Delivery information for the order.
        purchasingInformation:
          type: string
          maxLength: 100000
          description: Additional information about purchasing.
        legalInformation:
          type: string
          maxLength: 100000
          description: Legal notices and information.
        contractReference:
          type: string
          maxLength: 255
          description: Contract reference for the order.
        promotionCode:
          type: string
          maxLength: 255
          description: Promotion code applied to the entire order.
    ShippingNoticeHeaderFields:
      type: object
      required:
        - buyer
        - supplier
        - shippingNoticeIdentifier
        - shippingNoticeDate
        - orderIdentifier
      properties:
        buyer: {}
        supplier: {}
        shipFrom: {}
        shipTo: {}
        billTo: {}
        finalRecipient: {}
        technicalRecipient: {}
        technicalSender: {}
        shippingNoticeIdentifier:
          type: string
        shippingNoticeDate:
          $ref: '#/components/schemas/DateTime'
        orderIdentifier:
          type: string
          description: Order number assigned to the related purchase order by the buyer.
        orderDate:
          $ref: '#/components/schemas/DateTime'
        AdditionalOrderIdentifiers:
          $ref: '#/components/schemas/AdditionalOrderIdentifiers'
        requestedDeliveryDate:
          $ref: '#/components/schemas/DateTime'
        requestedEarliestDeliveryDate:
          description: Earliest date of the requested delivery window.
          allOf:
            - $ref: '#/components/schemas/DateTime'
        requestedLatestDeliveryDate:
          description: Latest date of the requested delivery window.
          allOf:
            - $ref: '#/components/schemas/DateTime'
        expectedDeliveryDate:
          $ref: '#/components/schemas/DateTime'
        requestedDespatchDate:
          $ref: '#/components/schemas/DateTime'
        despatchDate:
          description: >-
            If this is kept empty, the "shippingNoticeDate" is used as
            "despatchDate".
          allOf:
            - $ref: '#/components/schemas/DateTime'
        carrier:
          type: string
          default: null
          description: Carriers company name.
        trackingNumber:
          type: string
          default: null
        trackingUrl:
          type: string
          default: null
        modeOfTransport:
          $ref: '#/components/schemas/ModeOfTransport'
        incoTerms:
          $ref: '#/components/schemas/IncoTerms'
        shippingMethod:
          type: string
        status:
          type: string
        comments:
          type: string
          maxLength: 100000
          description: >-
            Arbitrary human-readable information buyers can send within purchase
            orders
        deliveryInformation:
          type: string
          maxLength: 100000
          description: Information about the delivery process.
        purchasingInformation:
          type: string
          maxLength: 100000
          description: Additional information about purchasing.
        legalInformation:
          type: string
          maxLength: 100000
          description: Legal notices and information.
        currency:
          $ref: '#/components/schemas/Currency'
        version:
          type: integer
          description: >-
            The document version number. Subsequent updates should increment
            this number by 1.
    ReceivedShippingNoticeTransportUnit:
      allOf:
        - $ref: '#/components/schemas/ShippingNoticeTransportUnitFields'
        - type: object
          properties:
            items:
              type: array
              description: Line items contained in this transport unit.
              items:
                $ref: '#/components/schemas/ReceivedShippingNoticeItemWithSubSubItems'
    InvoiceItemWithSubSubItems:
      allOf:
        - $ref: '#/components/schemas/InvoiceItem'
        - type: object
          properties:
            subItems:
              type: array
              description: Sub items of this invoice item. Supports two levels of nesting.
              items:
                $ref: '#/components/schemas/InvoiceItemWithSubItems'
    InvoiceHeaderFields:
      type: object
      required:
        - buyer
        - supplier
        - invoiceIdentifier
        - invoiceDate
        - orderIdentifier
        - orderDate
      properties:
        buyer: {}
        supplier: {}
        shipTo: {}
        billTo: {}
        billFrom: {}
        finalRecipient: {}
        technicalRecipient: {}
        technicalSender: {}
        invoiceIdentifier:
          type: string
          description: Invoice number/reference.
          example: IV-0001
        invoiceDate:
          $ref: '#/components/schemas/DateTime'
        invoiceValueDate:
          $ref: '#/components/schemas/DateTime'
        invoiceDueDate:
          $ref: '#/components/schemas/DateTime'
        shippingNoticeIdentifier:
          type: string
          nullable: true
          description: >-
            Shared shipping notice number/reference for an invoice covering a
            single shipping notice.
          example: SN-0001
        shippingNoticeDate:
          type: string
          format: date-time
          pattern: \d{4}(.\d{2}){2}(\s|T)(\d{2}.){2}\d{2}(.\d{6}(Z?))?
          example: '2021-10-23T00:00:00.000000Z'
          nullable: true
        orderIdentifier:
          type: string
          description: Order number assigned to the related purchase order by the buyer.
        orderDate:
          $ref: '#/components/schemas/DateTime'
        AdditionalOrderIdentifiers:
          $ref: '#/components/schemas/AdditionalOrderIdentifiers'
        requestedDeliveryDate:
          $ref: '#/components/schemas/DateTime'
        expectedDeliveryDate:
          $ref: '#/components/schemas/DateTime'
        paymentTerms:
          type: array
          description: Used for defining payment targets and optional discounts.
          items:
            $ref: '#/components/schemas/PaymentTerm'
        comments:
          type: string
          maxLength: 100000
          description: Arbitrary human-readable information buyers can send within invoices
        deliveryInformation:
          type: string
          maxLength: 100000
          description: Information about the delivery process.
        purchasingInformation:
          type: string
          maxLength: 100000
          description: Additional information about purchasing.
        legalInformation:
          type: string
          maxLength: 100000
          description: Legal notices and information.
        currency:
          $ref: '#/components/schemas/Currency'
        paymentMethod:
          type: string
          description: How the document is to be paid.
          enum:
            - CASH
            - CREDIT_TRANSFER
            - BANK_CARD
            - DIRECT_DEBIT
            - CREDIT_CARD
        type:
          type: string
          enum:
            - PARTIAL_INVOICE
        promotionCode:
          type: string
          maxLength: 255
          description: >-
            Promotion code applied to the entire invoice. Does not affect
            invoice calculations.
        organicControlPointNumber:
          type: string
[...]
